Show / Hide Table of Contents

# Class FileEvent

##### Inheritance

System.Object
FileEvent

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class FileEvent

### Properties

| Improve this Doc View Source

#### Type

##### Declaration

    public FileChangeType Type { get; set; }

##### Property Value

Type | Description
--- | ---
FileChangeType |

| Improve this Doc View Source

#### Uri

##### Declaration

    public string Uri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |